:. PRACTIONIST Runtime & Framework

Release Candidate build: 1.0.1

November 08, 2010. These downloads are provided under the LGPL.

 

The page provides access to the various sections of this build along with details relating to its results. You may access the download page specific to each platform by selecting the right version from the following tables.

 

:. All-in-one

For a convenient "all-in-one" download (source code, binary, documentation, examples), please use the following link.

Platform Download Size
All practionist-1.0.1-all.zip 5.576 KB
All practionist-1.0.1-bin.zip 831 KB
All practionist-1.0.1-src.zip 917 KB
All practionist-1.0.1-doc.zip 3.709 KB
All practionist-1.0.1-examples.zip 120 KB
:. Required Prerequisites and Handy Extras

These are the prerequisites to install and run the PRACTIONIST Runtime & Framework. Also listed are some frequently needed links.

  • JADE, a widespread platform that implements the FIPA specifications and provides some core services, such as a communication infrastructure, agent life-cycle management, and so forth. We have built and tested our framework with JADE 3.3.
  • tuProlog, a Java-based Prolog which has been included in our distribution with the version 1.3.0; for further details visit the website.
  • JPL, a Java Interface to Prolog included in the SWI-Prolog distribution. If you develop your agents by inheriting from the PRACTIONIST agent with the prolog implementation of belief base, then it is mandatory the installation of JPL. We have built and tested our framework with JPL 3.0.3 (it is included in the SWI-Prolog 5.4.7 distribution).
  • log4j, a logging framework included in the Apache Logging Services Project. We have tested our framework with log4j 1.2.8.
  • Xerces, a Java XML Parser developed by the Apache Software Foundation. If agents you develop will use the choreography support which is available in our framework, then it is mandatory the installation of Xerces. We have tested our framework with Xerces 1.1.

Valid XHTML 1.0 Strict Valid CSS!